package com.miaxis.newgzpt.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.newgzpt.domain.GzptSchActivation;
import com.miaxis.newgzpt.dto.GzptSchActivationDTO;

import java.util.List;

/**
 * <p>
 * 视频VIP表 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-01-27
 */
public interface IGzptSchActivationService extends IService<GzptSchActivation> {


    void saveSchActivation(GzptSchActivation gzptSchActivation);

    int isSchActivation(Long stuId);

    void delSchActivationByStuId(Long stuId);

    void upDelSchActivationByStuId(Long stuId,Integer state);

    List<GzptSchActivation> selectSchActivationList(GzptSchActivationDTO gzptSchActivationDTO);
}
